<img src="https://github.com/ilya-smut/blue-book/blob/main/static/images/book.svg" alt="blue book" width="170" height="115"/>

# Blue Book

Blue Book is an application that generates multiple-choice questions for CompTIA Security+ preparation at the press of a button. It uses the Gemini API to generate questions and provides instant feedback on answers.

## Features
- Generate CompTIA Security+ multiple-choice questions.
- Submit answers and receive immediate feedback.
- Explanation of correct and incorrect answers to enhance learning.

## Installation

To install Blue Book, follow these steps:

1. Clone the repository:
   ```sh
   git clone https://github.com/ilya-smut/blue-book
   ```
2. Install dependencies using Poetry:
   ```sh
   poetry install
   ```

## Usage

Please see what you can expect from Blue Book v0.1.0 on this wiki page [wiki page](https://github.com/ilya-smut/blue-book/wiki/What-to-expect-from-Blue-Book-0.1.0%3F):

To start the application, use the following command:
```sh
bluebook start
```

The application will run on a local server, allowing you to generate and answer Security+ questions.

<img src="https://github.com/ilya-smut/blue-book/blob/main/examples/screenshots/questions.png" width="450" height="400">
<img src="https://github.com/ilya-smut/blue-book/blob/main/examples/screenshots/Answer%20check.png" width="450" height="400">

## Contributing
If you’d like to contribute to Blue Book, feel free to submit a pull request or open an issue.

## License
This project is licensed under the GPLv3

## Contact
For any questions or feedback, feel free to reach out.

